Installation

ERROR: Phalcon extension isn't installed, follow these instructions to install it: https://docs.phalconphp.com/en/latest/reference/install.html

But when I run php info i can see phalcon but when i run on cmd i get the above error

You sure that your cli is using same php version and config? I had issues with a shared hosting that used old php version when running commands from php, so I had to use different php from the cli. In my case was something like /usr/local/php7.0/bin/php. If you are not 100% sure or dont have access, write a ticket to the hosting provider.

Yes , Although I am using window machine

You sure that your cli is using same php version and config? I had issues with a shared hosting that used old php version when running commands from php, so I had to use different php from the cli. In my case was something like /usr/local/php7.0/bin/php. If you are not 100% sure or dont have access, write a ticket to the hosting provider.



37.6k

Hi,

if you want to run phalcon in a command line environment yo have to enable it. Eg on Debian: in /etc/php/7.0/cli/conf.d/40-phalcon.ini put

extension=phalcon.so

Command line PHP and web-server PHP often use different .ini files. When you get php info on the command line, take a look at what php.ini file is loaded.

Hi guys How do i post a new thread?

Click the "Start a Discussion" button in the header.